Arsel AI API - أرسل
Arse.aiRegister
Arse.aiRegister
  1. Email Sending
  • Account
    • Get authenticated account info
      GET
  • Domains
    • List domains
      GET
    • Create a domain (and generate verification DNS records)
      POST
    • Delete a domain
      DELETE
  • Contact Lists
    • List contact lists
      GET
    • Create a contact list
      POST
    • Import subscribers into a contact list
      POST
    • List subscribers for a contact list
      GET
    • Get subscriber details (including subscriber mails)
      GET
    • Create a subscriber in a contact list
      POST
    • Update a subscriber (by subscriber UUID)
      PUT
    • Delete a subscriber (by subscriber UUID)
      DELETE
    • Toggle subscriber subscription status
      PUT
  • Campaigns
    • List campaigns
      GET
    • Create a campaign
      POST
    • Update a campaign
      PUT
    • Delete a campaign
      DELETE
  • Templates
    • List templates
      GET
    • Toggle template publish status
      PUT
  • Email Sending
    • Send an email (queued)
      POST
  • Automations
    • List automations
      GET
    • Create an automation
      POST
    • Get an automation (with steps)
      GET
    • Update an automation (and optionally sync steps)
      PUT
    • Delete an automation
      DELETE
    • Trigger a webhook automation for subscribers
      POST
  • Schemas
    • LaravelPaginationLinks
    • LaravelPaginationMeta
    • ExternalAccount
    • ExternalDomain
    • ExternalDomainCollection
    • ExternalContactList
    • ExternalContactListPaginator
    • CreateContactListResponse
    • ExternalSubscriber
    • ExternalSubscriberPaginator
    • ExternalSubscriberMail
    • ExternalSubscriberMailPaginator
    • SubscriberDetailsResponse
    • ExternalCampaign
    • ExternalCampaignCollection
    • CampaignCreateOrUpdateResponse
    • DeleteResponse
    • ExternalTemplateListItem
    • ExternalTemplatePaginator
    • ErrorResponse
    • MessageResponse
    • AccountInfoResponse
    • CreateDomainRequest
    • CreateContactListRequest
    • CreateOrUpdateSubscriberRequest
    • CreateSubscriberResponse
    • ImportSubscribersRequest
    • CreateOrUpdateCampaignRequest
    • SendEmailRequest
    • CreateAutomationRequest
    • Automation
    • AutomationCollection
    • CreateAutomationResponse
    • TriggerAutomationRequest
    • TriggerAutomationResponse
  1. Email Sending

Send an email (queued)

POST
/v1/send-email
Provide either template_uuid (must belong to account) or html_email.
The server generates unsubscribe_url and ignores any user-provided value.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Queued
Bodyapplication/json

🟠401
🟠403
🟠404
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.arsel.ai/api/v1/send-email' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "template_uuid": "string",
    "html_email": "string",
    "to": "user@example.com",
    "subject": "string",
    "from_name": "string",
    "from_email": "user@example.com",
    "reply_from_name": "string",
    "reply_from_email": "user@example.com",
    "variables": {
        "property1": "string",
        "property2": "string"
    }
}'
Response Response Example
200 - Example 1
{
    "message": "string"
}
Previous
Toggle template publish status
Next
List automations
Built with